Bug 252965 - biology/kallisto: failure with HDF5 1.12
Summary: biology/kallisto: failure with HDF5 1.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason W. Bacon
URL:
Keywords:
Depends on:
Blocks: 251894
  Show dependency treegraph
 
Reported: 2021-01-24 10:07 UTC by Thierry Thomas
Modified: 2021-01-26 01:34 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2021-01-24 10:07:14 UTC
science/hdf5 should be upgraded to 1.12, but some ports are not compatible with this version, and it has been suggested to repocopy the actual port to science/hdf5-110.

PR 251894 propose a patch to do that, and an exp-run has been launched to detect the incompatibilities.

Unfortunately, your port biology/kallisto failed: see
http://package18.nyi.freebsd.org/data/121amd64-default-foo/2021-01-20_21h30m48s/logs/errors/kallisto-0.46.1,1.log
(this looks like a missing -lz?)

Could you please propose a patch, either to fix it with 1.12 or to switch to hdf5-110?
Comment 1 commit-hook freebsd_committer 2021-01-26 01:34:34 UTC
A commit references this bug:

Author: jwb
Date: Tue Jan 26 01:34:21 UTC 2021
New revision: 562627
URL: https://svnweb.freebsd.org/changeset/ports/562627

Log:
  biology/kallisto: Add -lz for pending hdf5 upgrade

  PR:             252965
  Submitted by:   thierry

Changes:
  head/biology/kallisto/Makefile
Comment 2 Jason W. Bacon freebsd_committer 2021-01-26 01:34:57 UTC
Thanks!